Status: Closed Start date: 03 Aug 2018

Priority: High Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: New Function Estimated time: 5.00 hours

Target version: CoCoALib-0.99650 November 2019 Spent time: 2.60 hours

Description

It would be handy to have a function saying whether a polynomial ring (or a ppmonoid) has a positive grading.

This would make it cleaner to check than getting the submatrix of the order matrix, with the given grading dim....

Then use it to check Hilbert input!!!!

Related issues:

Related to CoCoALib - Bug #1211: HilbertSeries should check grading Closed 03 Aug 2018

Related to CoCoALib - Design #825: IsPositiveGrading -- really need 2 signatu... Closed 26 Nov 2015

History

#1 - 03 Aug 2018 17:20 - Anna Maria Bigatti

- Related to Bug #1211: HilbertSeries should check grading added

#2 - 23 Sep 2019 13:00 - John Abbott

- Description updated

Do you simply mean a GradingDim function which can be applied to a PPMonoid or a SparsePolyRing?

#3 - 24 Sep 2019 10:16 - Anna Maria Bigatti

- Status changed from New to In Progress

- % Done changed from 0 to 30

Now I understand what I meant.

+ There is a function called IsPositiveGrading taking a weight matrix for input.  This means that we have to create the weight matrix (as the submatrix

of the ordering matrix) in order to call it.

+ In CoCoALib we do not create memory with submat, but in CoCoA we do.  So we just need a CoCoALib shortcut to IsPositiveMatrix(submat(..)).

#4 - 24 Sep 2019 10:20 - Anna Maria Bigatti

- Related to Design #825: IsPositiveGrading -- really need 2 signatures? added

#5 - 24 Sep 2019 10:50 - Anna Maria Bigatti

Apparently we decided to remove the function I was going to use (IsPosiveGrading with two args), but in the time being we had implemented all the

necessary ingredients (GradingMat using LongRange), so the function is just a one-liner.

I implemented it for SparsePolyRing.  Should I also make it for PPMonoid?

#6 - 25 Sep 2019 07:38 - Anna Maria Bigatti

- % Done changed from 30 to 50
We decided (personal discussion) to implement it only for ring, because the real utility of this function is for cocoa-5.

In cocoalib we can easily and equivalently call IsPositiveGrading(GradingMat(PPM)) instead.

#7 - 03 Oct 2019 10:43 - Anna Maria Bigatti

- Subject changed from New functions: HasPositiveGrading to New function: HasPositiveGrading

- Status changed from In Progress to Closed

- % Done changed from 50 to 100

Done. Tested from CoCoA-5 (false for #1211, true in anna.cocoa5).
